#include<bits/stdc++.h>
using namespace std;





int main(){
    ios_base::sync_with_stdio(false);  
cin.tie(NULL);
    long long t, n, m, x;
    cin>>t;
    for(long long i= 0; i<t; i++){
        cin>>n>>m;
        for(long long br =0; br<2; br++){
        for(long long q = 0; q<n; q++){
            for(long long w =0; w<m;w++){
                cin>>x;
            }
        }}
        cout<<"NE"<<endl;
    }
    return 0;

}